Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 1477203002: [css-grid] Simplify GridResolvedPosition interface (Closed)

Created:
3 years, 3 months ago by Manuel Rego
Modified:
3 years, 3 months ago
Reviewers:
cbiesinger, svillar, rune
CC:
chromium-reviews, blink-reviews, blink-reviews-style_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[css-grid] Simplify GridResolvedPosition interface Move static methods from GridResolvedPosition public interface as they were only used internally. Also move some static methods from GridSpan that were only used by GridResolvedPosition. Last, remove unused method in GridCoordinate. Based on a previous patch by Sergio Villar <svillar@igalia.com>; https://codereview.chromium.org/1424913009/ No new tests, no change of behavior. BUG=444011 Committed: https://crrev.com/24b7188272ac4e05a9831da49224ddcb5caf0336 Cr-Commit-Position: refs/heads/master@{#361998}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+132 lines, -153 lines) Patch
M third_party/WebKit/Source/core/style/GridCoordinate.h View 2 chunks +0 lines, -68 lines 0 comments Download
M third_party/WebKit/Source/core/style/GridResolvedPosition.h View 2 chunks +8 lines, -13 lines 0 comments Download
M third_party/WebKit/Source/core/style/GridResolvedPosition.cpp View 7 chunks +124 lines, -72 lines 0 comments Download

Messages

Total messages: 12 (6 generated)
Manuel Rego
Small refactoring.
3 years, 3 months ago (2015-11-26 15:09:19 UTC) #2
rune
lgtm The diff became really hard to read and confirm that does the same thing ...
3 years, 3 months ago (2015-11-27 09:40:13 UTC) #5
Manuel Rego
On 2015/11/27 09:40:13, rune wrote: > lgtm Thanks for the review! > The diff became ...
3 years, 3 months ago (2015-11-27 12:45:10 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1477203002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1477203002/1
3 years, 3 months ago (2015-11-27 12:45:53 UTC) #8
commit-bot: I haz the power
Committed patchset #1 (id:1)
3 years, 3 months ago (2015-11-27 14:24:51 UTC) #10
commit-bot: I haz the power
3 years, 3 months ago (2015-11-27 14:25:53 UTC) #12
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/24b7188272ac4e05a9831da49224ddcb5caf0336
Cr-Commit-Position: refs/heads/master@{#361998}

Powered by Google App Engine
This is Rietveld 408576698